
```shell
brew install graphviz
```

```shell
dot -Tpng statemachine.dot -o statemachine.png
```


```shell
brew install plantuml
```
```shell
plantuml statemachine.puml
plantuml -tsvg statemachine.puml
```
Possible formats
```shell
    -teps               To generate images using EPS format
    -thtml              To generate HTML file for class diagram
    -tlatex:nopreamble  To generate images using LaTeX/Tikz format without preamble
    -tlatex             To generate images using LaTeX/Tikz format
    -tpdf               To generate images using PDF format
    -tpng               To generate images using PNG format (default)
    -tscxml             To generate SCXML file for state diagram
    -tsvg               To generate images using SVG format
    -ttxt               To generate images with ASCII art
    -tutxt              To generate images with ASCII art using Unicode characters
    -tvdx               To generate images using VDX format
    -txmi               To generate XMI file for class diagram
```

plantuml statemachine.scxml
